const C3 = globalThis.C3;

C3.Plugins.yabbi.Acts = {
  // Settings

  Initialize(PUBLISHER_ID) {
    this._initialize(PUBLISHER_ID);
  },

  SetUserConsent(HAS_CONSENT) {
    this._setUserConsent(!HAS_CONSENT);
  },

  EnableDebug(ENABLED) {
    this._enableDebug(!ENABLED);
  },

  SetCustomParams(KEY, VALUE) {
    this._setCustomParams(KEY, VALUE);
  },

  // Interstitial Ad

  LoadInterstitialAd(PLACEMENT_NAME) {
    this._loadInterstitialAd(PLACEMENT_NAME);
  },

  ShowInterstitialAd(PLACEMENT_NAME) {
    this._showInterstitialAd(PLACEMENT_NAME);
  },

  DestroyInterstitialAd(PLACEMENT_NAME) {
    this._destroyInterstitialAd(PLACEMENT_NAME);
  },

  // Banner Ad

  LoadBannerAd(PLACEMENT_NAME) {
    this._loadBannerAd(PLACEMENT_NAME);
  },

  ShowBannerAd(PLACEMENT_NAME) {
    this._showBannerAd(PLACEMENT_NAME);
  },

  DestroyBannerAd(PLACEMENT_NAME) {
    this._destroyBannerAd(PLACEMENT_NAME);
  },

  SetBannerCustomSettings(
    SHOW_CLOSE_BUTTON,
    BANNER_POSITION,
    REFRESH_INTERVAL_SECONDS
  ) {
    this._setBannerCustomSettings(
      SHOW_CLOSE_BUTTON,
      BANNER_POSITION,
      REFRESH_INTERVAL_SECONDS
    );
  },

  // Rewarded Ad

  LoadRewardedAd(PLACEMENT_NAME) {
    this._loadRewardedAd(PLACEMENT_NAME);
  },

  ShowRewardedAd(PLACEMENT_NAME) {
    this._showRewardedAd(PLACEMENT_NAME);
  },

  DestroyRewardedAd(PLACEMENT_NAME) {
    this._destroyRewardedAd(PLACEMENT_NAME);
  },
};
